<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VertexBufferBinding Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#e409d65d1d1e9fc54e46e0357f392db2">BindingIndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#e77153376c1ebd6a5f5ee2262c83daa1">closeGaps</a>(BindingIndexMap &amp;bindingIndexMap)</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#8cab869691a1ec085f89240ff5163387">getBindings</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#4a0455887d3197b99aa145aad017b75f">getBuffer</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#f570a9fe722354b2dc83b1f529019499">getBufferCount</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#8c2257c8498e4f9c040f087367a622db">getLastBoundIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#3976e5c953660dc5ac4ec9e2a962779e">getNextIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#f257e3a01b599a59abefd2638e3acd67">hasGaps</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#88903825ee357e210910b283d0b57855">isBufferBound</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#98d222f14c8b30e9a1ad5c46ad2ca7ef">mBindingMap</a></td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#27f847c54c66dd68bea6fbb203c22bd1">mHighIndex</a></td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#c4068061bab0de3b0e8fdd36591594aa">setBinding</a>(unsigned short index, const HardwareVertexBufferSharedPtr &amp;buffer)</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#571caed33f07bebb5751bb91ad024471">unsetAllBindings</a>(void)</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#8c9f657fd16f98aa29136fb57e9ba5e0">unsetBinding</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#bf27d19152cc8eabf43d559d33742442">VertexBufferBinding</a>()</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#01d32b8a3d649db0e78db170ed228937">VertexBufferBindingMap</a> typedef</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexBufferBinding.html#eea2d6b99bdaea10e82e594a471cd4e3">~VertexBufferBinding</a>()</td><td><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:59 2008
</p>
</body>
</html>
